Bug 1760310 (CVE-2019-16231) - CVE-2019-16231 kernel: null-pointer dereference in drivers/net/fjes/fjes_main.c
Summary: CVE-2019-16231 kernel: null-pointer dereference in drivers/net/fjes/fjes_main.c
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-16231
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1760314 1830563 1830564 1830565 1830566 1830567
Blocks: 1760312
TreeView+ depends on / blocked
 
Reported: 2019-10-10 11:15 UTC by Dhananjay Arunesh
Modified: 2021-02-16 21:17 UTC (History)
44 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in the Linux kernel. A NULL pointer dereference flaw was found in the FUJITSU Extended Socket Network driver. A call to the alloc_workqueue return was not validated and causes a denial of service at the time of failure. The highest threat from this vulnerability is to system availability.
Clone Of:
Environment:
Last Closed: 2020-09-29 21:58:31 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2020:4416 0 None None None 2020-10-29 15:09:24 UTC
Red Hat Product Errata RHBA-2020:4417 0 None None None 2020-10-29 15:07:53 UTC
Red Hat Product Errata RHBA-2020:4418 0 None None None 2020-10-29 15:13:16 UTC
Red Hat Product Errata RHBA-2020:4419 0 None None None 2020-10-29 15:12:05 UTC
Red Hat Product Errata RHBA-2020:4420 0 None None None 2020-10-29 15:50:52 UTC
Red Hat Product Errata RHSA-2020:4060 0 None None None 2020-09-29 20:51:44 UTC
Red Hat Product Errata RHSA-2020:4062 0 None None None 2020-09-29 18:58:05 UTC
Red Hat Product Errata RHSA-2020:4431 0 None None None 2020-11-04 00:49:31 UTC
Red Hat Product Errata RHSA-2020:4609 0 None None None 2020-11-04 02:21:12 UTC

Description Dhananjay Arunesh 2019-10-10 11:15:41 UTC
A NULL pointer dereference flaw was found in fjes_probe in drivers/net/fjes/fjes_main.c in FUJITSU Extended Socket Network driver.  Here a call to alloc_workqueue return was not validated and can cause a denial of service at the time of failure. This could allow an attacker to crash the system or leak kernel internal information.

Reference:
https://security.netapp.com/advisory/ntap-20191004-0001/
https://lkml.org/lkml/2019/9/9/487

Comment 1 Dhananjay Arunesh 2019-10-10 11:18:40 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1760314]

Comment 2 Justin M. Forbes 2019-12-02 14:50:40 UTC
This was fixed for Fedora in the 5.3.11 stable kernel update

Comment 4 Rohit Keshri 2020-05-02 18:12:39 UTC
Mitigation:

Mitigation for this issue is either not available or the currently available options don't meet the Red Hat Product Security criteria comprising ease of use and deployment, applicability to widespread installation base or stability.

Comment 9 Eric Christensen 2020-05-04 17:58:26 UTC
External References:

https://security.netapp.com/advisory/ntap-20191004-0001/
https://lkml.org/lkml/2019/9/9/487

Comment 10 errata-xmlrpc 2020-09-29 18:58:01 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:4062 https://access.redhat.com/errata/RHSA-2020:4062

Comment 11 errata-xmlrpc 2020-09-29 20:51:39 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:4060 https://access.redhat.com/errata/RHSA-2020:4060

Comment 12 Product Security DevOps Team 2020-09-29 21:58:31 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-16231

Comment 28 errata-xmlrpc 2020-11-04 00:49:27 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:4431 https://access.redhat.com/errata/RHSA-2020:4431

Comment 29 errata-xmlrpc 2020-11-04 02:21:10 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:4609 https://access.redhat.com/errata/RHSA-2020:4609


Note You need to log in before you can comment on or make changes to this bug.